Bug 845219 - The properties of tomcat container configuration in arquillian.xml are not parsed properly
The properties of tomcat container configuration in arquillian.xml are not pa...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: Arquillian (Show other bugs)
2.0.0.GA
Unspecified Unspecified
medium Severity medium
: CR1
: 2.1.0
Assigned To: Aslak Knutsen
Tomas Repel
http://issues.jboss.org/browse/ARQ-1044
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-02 06:25 EDT by Tomas Repel
Modified: 2012-11-30 10:34 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-30 10:34:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker ARQ-1044 Major Closed The properties of tomcat container configuration in arquillian.xml are not parsed properly 2013-07-23 07:45:10 EDT

  None (edit)
Description Tomas Repel 2012-08-02 06:25:28 EDT
It is impossible to use tabs or newlines in arquillian.xml when defining properties for tomcat configuration. Only space (" ") can be used as delimiter.

For example, this configuration is OK:

<container qualifier="tomcat" default="true">
  <configuration>
    <property name="catalinaHome">/home/tomcat6</property>
    <property name="javaVmArguments">-Xmx1024m -XX:MaxPermSize=512</property>
  </configuration>
</container>

While this one causes failure on startup:

<container qualifier="tomcat" default="true">
  <configuration>
    <property name="catalinaHome">/home/tomcat6</property>
    <property name="javaVmArguments">
-Xmx1024m
-XX:MaxPermSize=512
    </property>
  </configuration>
</container>


Version-Release number of selected component (if applicable):

arquillian-tomcat-managed-5.5, 6, 7; 1.0.0.CR3
Comment 1 JBoss JIRA Server 2012-08-02 08:22:16 EDT
Aslak Knutsen <aslak@4fs.no> updated the status of jira ARQ-1044 to Resolved
Comment 2 JBoss JIRA Server 2012-08-02 08:22:16 EDT
Aslak Knutsen <aslak@4fs.no> made a comment on jira ARQ-1044

pushed upstream, https://github.com/arquillian/arquillian-container-tomcat/commit/710b42bb548ec3f824dc599a8811b7261c571dab
Comment 3 Karel Piwko 2012-08-03 04:40:31 EDT
We need a new Arquillian Tomcat upstream release to incorporate the fix in wfk-arquillian-bom.
Comment 6 JBoss JIRA Server 2012-09-25 08:55:20 EDT
Aslak Knutsen <aslak@4fs.no> updated the status of jira ARQ-1044 to Closed
Comment 7 JBoss JIRA Server 2012-09-25 08:58:24 EDT
Karel Piwko <kpiwko@redhat.com> updated the status of jira ARQ-1044 to Reopened
Comment 8 JBoss JIRA Server 2012-09-25 08:58:24 EDT
Karel Piwko <kpiwko@redhat.com> made a comment on jira ARQ-1044

Reopening to assign Tomas.
Comment 9 JBoss JIRA Server 2012-09-25 08:58:36 EDT
Karel Piwko <kpiwko@redhat.com> updated the status of jira ARQ-1044 to Resolved
Comment 12 JBoss JIRA Server 2012-11-06 12:42:09 EST
Aslak Knutsen <aslak@4fs.no> made a comment on jira ARQ-1044

[~kpiwko] This should be closed, no?
Comment 13 JBoss JIRA Server 2012-11-07 11:38:57 EST
Karel Piwko <kpiwko@redhat.com> updated the status of jira ARQ-1044 to Closed
Comment 14 JBoss JIRA Server 2012-11-07 11:38:57 EST
Karel Piwko <kpiwko@redhat.com> made a comment on jira ARQ-1044

Closing, fixed in 1.0.0.CR4.
Comment 15 Tomas Repel 2012-11-12 08:14:49 EST
Verified in WFK 2.1.0.CR1.
Comment 16 Karel Piwko 2012-11-30 10:34:30 EST
Distributed as a part of WFK 2.1.0.GA release.

Note You need to log in before you can comment on or make changes to this bug.